Skip to main content
GET
/
v1
/
billing-packages
/
{id}
Retrieve a Billing Package
curl --request GET \
  --url https://fees.sandbox.lerian.net/v1/billing-packages/{id} \
  --header 'Content-Type: <content-type>' \
  --header 'X-Organization-Id: <x-organization-id>'
{
  "id": "<string>",
  "label": "<string>",
  "description": "<string>",
  "enable": true,
  "organizationId": "<string>",
  "ledgerId": "<string>",
  "eventFilter": {
    "transactionRoute": "<string>",
    "status": "<string>"
  },
  "pricingModel": "<string>",
  "tiers": [
    {
      "minQuantity": 123,
      "maxQuantity": 123,
      "unitPrice": "<string>"
    }
  ],
  "freeQuota": 123,
  "discountTiers": [
    {
      "minQuantity": 123,
      "discountPercentage": "<string>"
    }
  ],
  "countMode": "<string>",
  "assetCode": "<string>",
  "debitAccountAlias": "<string>",
  "creditAccountAlias": "<string>",
  "feeAmount": "<string>",
  "maintenanceCreditAccount": "<string>",
  "accountTarget": {
    "segmentId": "<string>",
    "portfolioId": "<string>",
    "aliases": [
      "<string>"
    ]
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-Organization-Id
string
required

The unique identifier of the Organization associated with the request.

Example:

"019c96a0-0a98-7287-9a31-786e0809c769"

Authorization
string

The authorization token in the 'Bearer ' format.

Important: This header is required if your environment has Access Manager enabled. For more information, refer to the Access Manager documentation.

Content-Type
string
required

The type of media of the resource. Must be application/json.

Example:

"application/json"

Path Parameters

id
string
required

Unique identifier of the billing package.

Example:

"bpkg_01HZ..."

Response

Billing package details.

id
string

Unique identifier of the billing package.

label
string
description
string
type
enum<string>
Available options:
volume,
maintenance
enable
boolean
organizationId
string
ledgerId
string
eventFilter
object
pricingModel
string
tiers
object[]
freeQuota
integer
discountTiers
object[]
countMode
string
assetCode
string
debitAccountAlias
string
creditAccountAlias
string
feeAmount
string
maintenanceCreditAccount
string
accountTarget
object
createdAt
string<date-time>
updatedAt
string<date-time>
deletedAt
string<date-time> | null